buttons = {}
buttons.width = 200
buttons.height = 25
button_text = ""
function buttons.invoke(x, y, button_type)
	button_text = getButtonText(button_type)
	table.insert(buttons, {b_x = x, b_y = y, b_type = button_type, b_text = button_text})
end
--
function getButtonText(button_type_f)
	if button_type_f == 1 then
		return "Width: "..tostring(love.window.getWidth());
	end
	if button_type_f == 2 then
		return "Height: "..tostring(love.window.getHeight());
	end
end

function buttons.draw()
	for i,v in ipairs(buttons) do 
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle("fill", v.b_x - 2, v.b_y - 2, buttons.width + 4, buttons.height + 4)
		local mousex, mousey = love.mouse.getPosition()
		if CheckCollision(mousex, mousey, 2, 2, v.b_x, v.b_y, buttons.width, buttons.height) then
			love.graphics.setColor(255,125,0)
			mouseover_button_type = v.b_type
			mouseover_button = true
			if mouseover_button then
			end
		else
			love.graphics.setColor(255,255,0)
			mouseover_button = false
		end
		love.graphics.rectangle("fill", v.b_x, v.b_y, buttons.width, buttons.height)
		love.graphics.setColor(0,0,0)
		love.graphics.print(getButtonText(v.b_type), v.b_x + 5, v.b_y + 5)
	end
	
end

function buttons.update(dt)
	
end

--parent funcs
function DRAW_BUTTONS()
	buttons.draw()
end
function UPDATE_BUTTONS(dt)
	buttons.update(dt)
end