level = {}
level.tile_h = 32
level.tile_w = 32
level.id = 0
level_draw = {}
level_exit = {}
level.exit_x = 0
level.exit_y = 0
level.exit_image = love.graphics.newImage("textures/tiles/exit.png")
enable_collision = true
function level.invoke(id)
	local level_line = {}
	local tile_x = 0
	local tile_y = 0
	local rand_level = love.math.random(1,2)
	for line in love.filesystem.lines("levels/"..tostring(id).."/"..tostring(rand_level)..".lev") do
		table.insert(level_line, line)
	end
	level.exit_x = (level_line[19] - 1) * 32
	level.exit_y = (level_line[20] - 1) * 32
	start_x = (level_line[21] - 1) * 32
	start_y = (level_line[22] - 1) * 32
	table.insert(level_exit, {x = level.exit_x, y = level.exit_y})
	for i = 0, 17, 1 do
		for e = 0, 17, 1 do
			local str2 = tostring(level_line[i+1])
			local c = str2:sub(e+1,e+1)
			table.insert(level_draw, {x = tile_x, y = tile_y, id = id, image = love.graphics.newImage("textures/tiles/"..id.."/"..c..".png"), tile_id = c})
			tile_x = tile_x + 32
		end
		tile_x = 0
		tile_y = tile_y + 32
	end
	print("Level: "..id.." Variation: "..rand_level.." Table size: "..table.getn(level_draw))
end

function level.clear(table)
	for k,v in pairs(table) do 
		table[k] = nil 
	end
end

function level.draw()
	for i, v in ipairs(level_draw) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(v.image, v.x, v.y)
		
	end
	for i, v in ipairs(level_exit) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(level.exit_image, v.x, v.y)
	end
	
		
	
end

function level.update(dt)

end








