function love.conf(t)
	love.filesystem.setIdentity("zelda ripoff")

	--start load config
	local conf_saved = {}
	for line in love.filesystem.lines("save.zr") do
		table.insert(conf_saved, line)
	end
	for i,v in ipairs(conf_saved) do
		print(conf_saved[i])
	end
	
	t.window.width = conf_saved[1] / 1337
    t.window.height = conf_saved[2] / 1337
	if conf_saved[3] == '0' then
		t.window.vsync = false
	else
		t.window.vsync = true
	end
	--end load config
	
	t.title = "Zelda Ripoff"
	t.console = true
	t.window.fullscreen = false
	t.window.fullscreentype = "normal"
	t.modules.joystick = false
    t.modules.audio = true
    t.modules.keyboard = true
    t.modules.event = true
    t.modules.image = true
    t.modules.graphics = true
    t.modules.timer = true
    t.modules.mouse = true
    t.modules.sound = true
	t.modules.thread = true
    t.modules.physics = true
end